step.min.AP {activpalProcessing} | R Documentation

## Estimate Time Spent Stepping

### Description

This function to calculates the hours spent stepping

### Usage

    step.min.AP(posture, epoch = 1)

### Arguments

`posture` | posture is a vector indicating sitting (0), standing (1) and stepping (2)
`epoch` | numeric value indicating what epoch (in seconds) the data are in (e.g. 60 = 1 minute epochs). The default value is 1 second

### Value

a numeric value indicating hours spent stepping

### Author(s)

Kate Lyden

### See Also

`sed.min.AP` `stand.min.AP`

### Examples

    data(second.by.second.data)
    posture <- second.by.second.data$ap.posture

    step.min.AP(posture,epoch=1)

    # summarize by date
    tapply(second.by.second.data$ap.posture, second.by.second.data$date,step.min.AP,epoch=1)

[Package activpalProcessing version 1.0.2 Index]